DH_STRIP(1)

NAME
dh_strip - entfernt Symbole aus Programmen, gemeinsam benutzten Bibliotheken und einigen statischen Bibliotheken

ÜBERSICHT
dh_strip [Debhelper-Optionen] [-XElement] [--dbg-package=Paket] [--keep-debug]

BESCHREIBUNG
dh_strip ist ein Debhelper-Programm, das für das Entfernen von Symbolen von Programmen, gemeinsam benutzten Bibliotheken und einigen statischen Bibliotheken, die nicht während der Ausführung verwendet werden, zuständig ist.

Dieses Programm untersucht Ihre Paketbauverzeichnisse und ermittelt selbsttätig, wo Symbole entfernt werden müssen. Es verwendet file(1), Dateizugriffsrechte und Dateinamen, um herauszufinden, welche Dateien gemeinsam benutzte Bibliotheken (*.so), Programme, statische Bibliotheken (lib*.a) und solche zur Fehlersuche (lib*_g.a, debug/*.so) enthalten und entfernt so viele Symbole wie möglich (bei Fehlersuch-Bibliotheken werden keine Symbole entfernt). Im Allgemeinen scheint es sehr gute Annahmen zu treffen und wird in fast allen Fällen das Richtige tun.

Da es sehr schwierig ist, automatisch festzustellen, ob eine Datei ein Modul enthält und wie die Symbole eines Moduls entfernt werden, bearbeitet dh_strip derzeit binären Module wie etwa .o-Dateien.

OPTIONEN

-XElement, --exclude=Element
    schließt Dateien, die irgendwo in ihrem Dateinamen genanntes Element enthalten, vom Entfernen der Symbole aus. Sie können diese Option mehrfach benutzen, um eine Liste auszuschließender Dinge zu erstellen.

--dbg-package=Paket
    Diese Option ist nun eine Option für besondere Zwecke und Sie benötigen sie normalerweise nicht. In den meisten Fällen sollte es nur wenige Gründe geben, diese Option für neue Quellpakete zu benutzen, da Debhelper automatisch Pakete zur Fehlersuche (»Dbgsym-Pakete«) erzeugt. Falls Sie ein manuelles --dbg-package haben, das Sie durch ein automatisch erzeugtes Fehlersuch-Symbolpaket ersetzen möchten, sehen Sie sich bitte die Option --dbgsym-migration an.

    veranlasst dh_strip die Debug-Symbole, die es aus den bearbeiteten Paketen entfernt hat, als einzelne Dateien im Paketbauverzeichnis des angegebenen Fehlersuchpakets zu sichern.

    Falls zum Beispiel Ihre Pakete libfoo und foo sind und Sie ein foo-dbg-Paket mit Debug-Symbolen mitliefern möchten, benutzen Sie dh_strip --dbg-package=foo-dbg.

    Diese Option impliziert --no-automatic-dbgsym und kann nicht zusammen mit --automatic-dbgsym oder --dbgsym-migration verwendet werden.

-k, --keep-debug
    Diese Option ist nun eine Option für besondere Zwecke und Sie benötigen sie normalerweise nicht. In den meisten Fällen sollte es nur wenige Gründe geben, diese Option für neue Quellpakete zu benutzen, da Debhelper automatisch Pakete zur Fehlersuche (»Dbgsym-Pakete«) erzeugt. Falls Sie ein manuelles --dbg-package haben, das Sie durch ein automatisch erzeugtes Fehlersuch-Symbolpaket ersetzen möchten, sehen Sie sich bitte die Option --dbgsym-migration an.

    Debug-Symbole werden beibehalten, aber in unabhängige Dateien in usr/lib/debug/ im Paketbauverzeichnis aufgeteilt. --dbg-package ist einfacher zu benutzen als diese Option, aber diese Option ist flexibler.

    Diese Option impliziert --no-automatic-dbgsym und kann nicht zusammen mit --ddeb verwendet werden.

--dbgsym-migration=Paketbeziehung
    Diese Option wird benutzt, um von einem manuellen »-dbg«-Paket (das mit --dbg-package erstellt wurde) zu einem automatisch erzeugten Fehlersuch-Symbolpaket zu migrieren. Der Wert dieser Option sollte eine gültige Replaces- und Breaks-Beziehung beschreiben; diese wird dem Fehlersuch-Symbolpaket hinzugefügt werden, um Dateikonflikte mit dem (nun veralteten) -dbg-Paket zu vermeiden.

    Diese Option impliziert --automatic-dbgsym und kann nicht zusammen mit --keep-debug, --dbg-package oder --no-automatic-dbgsym verwendet werden.

    Beispiele:

      dh_strip --dbgsym-migration='libfoo-dbg (<< 2.1-3~)'

      dh_strip --dbgsym-migration='libfoo-tools-dbg (<< 2.1-3~), libfoo2-dbg (<< 2.1-3~)'

--automatic-dbgsym, --no-automatic-dbgsym
    steuert, ob dh_strip Fehlersuch-Symbolpakete erstellen soll, wenn möglich.

    Die Vorgabe ist, Fehlersuch-Symbolpakete zu erstellen.

--ddebs, --no-ddebs
    historischer Name für --automatic-dbgsym und --no-automatic-dbgsym

--ddeb-migration=Paketbeziehung
    historischer Name für --dbgsym-migration

ANMERKUNGEN
Falls die Umgebungsvariable DEB_BUILD_OPTIONS nostrip enthält, werden getreu der Debian-Richtlinie (Abschnitt 10.1. »Binaries«) keine Symbole entfernt. Dies wird auch das Erstellen automatischer Fehlersuch-Symbolpakete verhindern.

Das automatische Erzeugen von Symbolpaketen zur Fehlersuche kann außerdem durch Hinzufügen von noautodbgsym zur Umgebungsvariablen DEB_BUILD_OPTIONS verhindert werden. dh_strip wird jedoch auch weiterhin Fehlersuch-Links auf ELF-Binärdateien hinzufügen, wenn dieser Schalter gesetzt ist. Dies stellt sicher, dass das normale Deb-Paket mit oder ohne diesen Schalter identisch ist (unter der Annahme, dass es ansonsten »Bit-für-Bit« reproduzierbar ist).

KONFORM ZU
Debian-Richtlinie, Version 3.0.1

SIEHE AUCH
debhelper(7)

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOR
Joey Hess <joeyh@debian.org>